package org.jeecg.modules.ctop.service;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface IMediaReportService {

    List<JSONObject> queryAdvertiserNameByCompanyId(String companyId);

    List<JSONObject> queryProjectNameByAdvertiserId(String advertiserId);

    PageInfo<JSONObject> queryReportByCondition(int pageNo,int pageSize,JSONObject requestBody);

    PageInfo<JSONObject> queryAllReportByCondition(int pageNo,int pageSize,JSONObject requestBody);

    List<JSONObject> queryAllByCondition(JSONObject requestBody);

    List<JSONObject> queryReportByCondition(JSONObject requestBody);


}
